The Mode Of Payment object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

mode_of_payment string required
type string
enabled boolean

Default: true

The Mode Of Payment object
{
  "id": "mode-of-payment_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "mode_of_payment": "mode_of_payment_example",
  "type": "type_example",
  "enabled": true
}
GET /api/accounts/mode-of-payment/{id}

Retrieve a mode of payment

Retrieves the details of an existing mode of payment. Supply the unique mode of payment ID that was returned from a previous request.

Path parameters

id string required

The identifier of the mode of payment to retrieve.

Returns

Returns the mode of payment object if a valid identifier was provided.

GET /api/accounts/mode-of-payment/{id}
curl https://api.overplane.dev/api/accounts/mode-of-payment/mode-of-payment_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "mode-of-payment_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "mode_of_payment": "mode_of_payment_example",
  "type": "type_example",
  "enabled": true
}
GET /api/accounts/mode-of-payment

List all mode of payments

Returns a list of mode of payments. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of mode of payment objects.

GET /api/accounts/mode-of-payment
curl https://api.overplane.dev/api/accounts/mode-of-payment \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "mode-of-payment_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "mode_of_payment": "mode_of_payment_example",
      "type": "type_example",
      "enabled": true
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/mode-of-payment

Create a mode of payment

Creates a new mode of payment object.

Body parameters

mode_of_payment string required
type string
enabled boolean

Default: true

Returns

Returns the newly created mode of payment object if the call succeeded.

POST /api/accounts/mode-of-payment
curl https://api.overplane.dev/api/accounts/mode-of-payment \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"mode_of_payment":"mode_of_payment_example"}'
Response
{
  "id": "mode-of-payment_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "mode_of_payment": "mode_of_payment_example",
  "type": "type_example",
  "enabled": true
}
PATCH /api/accounts/mode-of-payment/{id}

Update a mode of payment

Updates the specified mode of payment by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the mode of payment to update.

Body parameters

mode_of_payment string
type string
enabled boolean

Default: true

Returns

Returns the updated mode of payment object.

PATCH /api/accounts/mode-of-payment/{id}
curl https://api.overplane.dev/api/accounts/mode-of-payment/mode-of-payment_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"mode_of_payment":"mode_of_payment_example","type":"type_example"}'
Response
{
  "id": "mode-of-payment_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "mode_of_payment": "mode_of_payment_example",
  "type": "type_example",
  "enabled": true
}
DELETE /api/accounts/mode-of-payment/{id}

Delete a mode of payment

Permanently deletes a mode of payment. This cannot be undone.

Path parameters

id string required

The identifier of the mode of payment to delete.

Returns

Returns a confirmation that the mode of payment has been deleted.

DELETE /api/accounts/mode-of-payment/{id}
curl https://api.overplane.dev/api/accounts/mode-of-payment/mode-of-payment_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "mode-of-payment_abc123",
  "deleted": true
}

Line items

Child objects that belong to this mode of payment. These are accessed via the parent's ID.

Mode Of Payment Account

Attributes

idx integer
mode_of_payment_id string required
company string
default_account string

Endpoints

GET /api/accounts/mode-of-payment-account?parent_id={id}
POST /api/accounts/mode-of-payment-account
PATCH /api/accounts/mode-of-payment-account/{id}
DELETE /api/accounts/mode-of-payment-account/{id}
POST /api/accounts/mode-of-payment-account/reorder
Mode Of Payment Account object
{
  "id": "mode-of-payment-account_abc123",
  "idx": 1,
  "mode_of_payment_id": "mode_of_payment_id_example",
  "company": "Example Corp",
  "default_account": "default_account_example"
}